. . .

Configuring ApiOmat for ApiOmat Studio

If your installation of ApiOmat does not have ApiOmat Studio, please contact your ApiOmat Studio SuperAdmin and direct them to this page.

Requirements

Currently, ApiOmat Studio is only supported in ApiOmat version 2.6 or higher. If you need to update to version 3.0, use your repo.apiomat.com account to access the new version and update your ApiOmat installation. If you do not have an account for repo.apiomat.com or you would like assistance upgrading your installation, please contact your ApiOmat Customer Success Manager.

Beginning with ApiOmat version 2.6 it is possible to download ApiOmat Studio via the SDK screen. When a user downloads ApiOmat Studio, ApiOmat needs to access repo.apiomat.com to download the program. Your ApiOmat installation then generates a configuration file for the user's ApiOmat Studio program and packages it with the program together in a zip file. This means that your ApiOmat installation must have access to repo.apiomat.com.

If your installation of ApiOmat cannot access repo.apiomat.com, then you have to download the following files and host them internally.

Once you have hosted the files and they are accessible to your ApiOmat installation, then you have to make changes to the apiomat.yaml file under tools.

Replace the appLocation with the location you are hosting ApiOmatStudioMobile.app.zip.

Replace the templateLocation with the location you are hosting master_detail.apiomatproj.zip.

apiomat.yaml
...
tools:
# configuration for the ApiOmat Mobile Studio
apiomatStudioMobile:
# address where the files for the apiomat studio mobile are deposited
appLocation: https://repo.apiomat.com/yambas/rest/web/Tools/LIVE/studiomobile/app/3_0
# address where the files for the example projects are deposited
templateLocation: https://repo.apiomat.com/yambas/rest/web/Tools/LIVE/studiomobile/template/3_0
...

* link only available in Enterprise Documentation